@charset "utf-8";
/* CSS Document */

/* =====================================================
   DESTINY FELLOWSHIP CHURCH
   MAIN WEBSITE STYLES
===================================================== */

/* =========================
   GLOBAL
========================= */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Montserrat', sans-serif;
    color: #171717;
    background: #ffffff;
    line-height: 1.6;
}

img {
    max-width: 100%;
    display: block;
}

a {
    text-decoration: none;
    color: inherit;
}

.container {
    width: 90%;
    max-width: 1200px;
    margin: auto;
}


/* =========================
   COLORS
========================= */

:root {
    --red: #ef1c14;
    --orange: #ff7a00;
    --gold: #ffb000;
    --yellow: #ffd400;

    --black: #111111;
    --dark: #181818;
    --gray: #666666;
    --light-gray: #f5f5f5;

    --white: #ffffff;
}


/* =========================
   HEADER
========================= */

header {
    width: 100%;
    background: #ffffff;
    border-bottom: 1px solid #eeeeee;
    position: relative;
    z-index: 1000;
}


.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 90px;
    z-index: 9999;
    background: #fff;
	 border-bottom: 1px solid #EC8008;
}

body {
    margin: 0;
    padding-top: 90px;
}

.navbar {
    min-height: 85px;

    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo img {
    width: 190px;
    height: auto;
}

.nav-menu {
    display: flex;
    align-items: center;
    gap: 28px;
}

.nav-menu a {
    font-size: 13px;
    font-weight: 600;
    text-transform: uppercase;
    color: #222222;

    transition: 0.3s ease;
}

.nav-menu a:hover,
.nav-menu a.active {
    color: var(--orange);
}

.give-btn {
    background: linear-gradient(
        135deg,
        var(--orange),
        var(--gold)
    );

    color: #ffffff !important;

    padding: 13px 20px;
    border-radius: 5px;

    font-weight: 700 !important;
}

.give-btn:hover {
    transform: translateY(-2px);
    box-shadow: 0 8px 20px rgba(255, 122, 0, 0.25);
}


/* =========================
   MOBILE MENU BUTTON
========================= */

.menu-toggle {
    display: none;

    border: none;
    background: none;

    font-size: 28px;
    cursor: pointer;

    color: var(--black);
}


/* =========================
   HERO
========================= */

.hero {
    min-height: 650px;

    position: relative;

    display: flex;
    align-items: center;

    background-image: url("../images/hero.jpg");
    background-size: cover;
    background-position: center;
}

.hero-overlay {
    position: absolute;
    inset: 0;

    background:
        linear-gradient(
            90deg,
            rgba(0, 0, 0, 0.85),
            rgba(0, 0, 0, 0.55),
            rgba(0, 0, 0, 0.25)
        );
}

.hero-content {
    position: relative;
    z-index: 2;

    color: #ffffff;
}

.hero-small-title {
    display: block;

    color: var(--orange);

    font-size: 18px;
    font-weight: 700;

    letter-spacing: 2px;

    margin-bottom: 12px;
}

.hero h1 {
    font-size: clamp(45px, 6vw, 78px);

    line-height: 1.03;

    font-weight: 800;

    margin-bottom: 25px;
}

.hero p {
    font-size: 18px;
    color: #eeeeee;

    margin-bottom: 35px;
}

.hero-buttons {
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
}


/* =========================
   BUTTONS
========================= */

.btn {
    display: inline-flex;

    align-items: center;
    justify-content: center;

    padding: 14px 25px;

    border-radius: 5px;

    font-size: 13px;
    font-weight: 700;

    text-transform: uppercase;

    transition: 0.3s ease;
}

.btn-primary {
    background: linear-gradient(
        135deg,
        var(--orange),
        var(--gold)
    );

    color: #ffffff;
}

.btn-primary:hover {
    transform: translateY(-3px);

    box-shadow:
        0 10px 25px rgba(255, 122, 0, 0.3);
}

.btn-outline {
    border: 1px solid #ffffff;
    color: #ffffff;
}

.btn-outline:hover {
    background: #ffffff;
    color: #111111;
}


/* =========================
   VALUES
========================= */

.values {
    background: #ffffff;
    padding: 55px 0;
}

.values-grid {
    display: grid;

    grid-template-columns:
        repeat(4, 1fr);

    gap: 0;
}

.value-box {
    text-align: center;

    padding: 20px 30px;

    border-right: 1px solid #eeeeee;
}

.value-box:last-child {
    border-right: none;
}

.value-icon {
    width: 60px;
    height: 60px;

    margin: 0 auto 20px;

    border-radius: 50%;

    display: flex;
    align-items: center;
    justify-content: center;

    background: linear-gradient(
        135deg,
        var(--orange),
        var(--gold)
    );

    color: #ffffff;

    font-size: 25px;
}

.value-box h3 {
    font-size: 15px;

    margin-bottom: 10px;
}

.value-box p {
    color: var(--gray);

    font-size: 13px;
}


/* =========================
   SECTION LABEL
========================= */

.section-label {
    display: block;

    color: var(--orange);

    font-size: 13px;
    font-weight: 800;

    letter-spacing: 2px;

    margin-bottom: 10px;
}


/* =========================
   ABOUT
========================= */

.about-section {
    background: #f7f7f7;
}

.about-grid {
    display: grid;

    grid-template-columns:
        1fr 1fr;

    align-items: stretch;
}

.about-content {
    padding: 90px 60px 90px 0;

    display: flex;
    flex-direction: column;

    justify-content: center;
}

.about-content h2 {
    font-size: clamp(32px, 4vw, 48px);

    line-height: 1.15;

    margin-bottom: 25px;
}

.about-content p {
    color: var(--gray);

    font-size: 15px;

    margin-bottom: 30px;

    max-width: 520px;
}

.about-content .btn {
    width: fit-content;
}

.about-image {
    min-height: 250px;
}

.about-image img {
    width: 100%;
    height: 40%;
	margin-top: 100px;

    object-fit: cover;
}


/* =========================
   SECTION HEADING
========================= */

.section-heading {
    text-align: center;

    margin-bottom: 45px;
}

.section-heading h2 {
    font-size: 40px;

    line-height: 1.2;
}


/* =========================
   EVENTS
========================= */

.events-section {
    padding: 90px 0;
}

.events-grid {
    display: grid;

    grid-template-columns:
        repeat(3, 1fr);

    gap: 25px;
}

.event-card {
    background: #ffffff;

    border: 1px solid #eeeeee;

    border-radius: 8px;

    overflow: hidden;

    transition: 0.3s ease;
}

.event-card:hover {
    transform: translateY(-7px);

    box-shadow:
        0 15px 35px rgba(0, 0, 0, 0.08);
}

.event-card img {
    width: 100%;
    height: 220px;

    object-fit: cover;
}

.event-content {
    padding: 25px;
}

.event-content h3 {
    font-size: 17px;

    margin-bottom: 5px;
}

.event-time {
    color: var(--orange);

    font-size: 12px;
    font-weight: 700;
}

.event-content p {
    color: var(--gray);

    font-size: 13px;

    margin-top: 15px;
}

.center-button {
    text-align: center;

    margin-top: 40px;
}


/* =========================
   SERMON
========================= */

.sermon-section {
    padding: 90px 0;

    background:
        linear-gradient(
            rgba(10, 10, 10, 0.94),
            rgba(10, 10, 10, 0.94)
        ),
        url("../images/sermon-bg.jpg");

    background-size: cover;
    background-position: center;

    color: #ffffff;
}

.sermon-grid {
    display: grid;

    grid-template-columns:
        0.8fr 1.5fr;

    gap: 50px;

    align-items: center;
}

.sermon-intro h2 {
    font-size: 42px;

    line-height: 1.15;

    margin-bottom: 20px;
}

.sermon-intro p {
    color: #cccccc;

    margin-bottom: 30px;
}

.sermon-cards {
    display: grid;

    grid-template-columns:
        repeat(3, 1fr);

    gap: 15px;
}

.sermon-card {
    background: #222222;

    border-radius: 7px;

    overflow: hidden;

    padding-bottom: 15px;
}

.sermon-card img {
    width: 100%;
    height: 160px;

    object-fit: cover;
}

.sermon-card h3 {
    font-size: 14px;

    padding: 12px 12px 2px;
}

.sermon-card p {
    color: #aaaaaa;

    font-size: 11px;

    padding: 0 12px;
}


/* =========================
   GIVING
========================= */

.giving-section {
    padding: 35px 0;

    background:
        linear-gradient(
            90deg,
            var(--orange),
            var(--gold)
        );

    color: #ffffff;
}

.giving-content {
    display: flex;

    align-items: center;

    gap: 25px;
}

.giving-icon {
    width: 65px;
    height: 65px;

    display: flex;
    align-items: center;
    justify-content: center;

    background: #ffffff;

    color: var(--orange);

    border-radius: 50%;

    font-size: 30px;
}

.giving-content h2 {
    font-size: 28px;
}

.giving-content p {
    font-size: 14px;
}

.giving-btn {
    margin-left: auto;

    background: #ffffff;

    color: var(--orange);

    padding: 14px 25px;

    border-radius: 5px;

    font-size: 13px;
    font-weight: 800;

    text-transform: uppercase;
}

.giving-btn:hover {
    background: var(--black);
    color: #ffffff;
}


/* =========================
   FOOTER
========================= */

.footer {
    background: #151515;

    color: #ffffff;

    padding-top: 70px;
}

.footer-grid {
    display: grid;

    grid-template-columns:
        1.4fr 1fr 1fr 1.2fr;

    gap: 50px;

    padding-bottom: 50px;
}

.footer-brand img {
    width: 180px;

    margin-bottom: 20px;

       padding: 5px;
}

.footer-brand p {
    color: #aaaaaa;

    font-size: 13px;

    max-width: 280px;
}

.footer h3 {
    font-size: 14px;

    margin-bottom: 20px;

    color: var(--orange);

    letter-spacing: 1px;
}

.footer a {
    display: block;

    color: #F9F8F8;

    font-size: 13px;

    margin-bottom: 10px;

    transition: 0.3s;
}

.footer a:hover {
    color: var(--orange);
}

.footer p {
    color: #FFFFFF;

    font-size: 13px;

    margin-bottom: 10px;
}

.footer-bottom {
    border-top: 1px solid #292929;

    padding: 20px 0;

    text-align: center;
}

.footer-bottom p {
    margin: 0;

    font-size: 12px;
}


/* =====================================================
   RESPONSIVE DESIGN
===================================================== */


/* =========================
   TABLET
========================= */

@media (max-width: 992px) {

    .nav-menu {
        gap: 15px;
    }

    .nav-menu a {
        font-size: 11px;
    }

    .logo img {
        width: 160px;
		
    }

    .values-grid {
        grid-template-columns:
            repeat(2, 1fr);
    }

    .value-box:nth-child(2) {
        border-right: none;
    }

    .value-box:nth-child(-n+2) {
        border-bottom: 1px solid #eeeeee;
    }

    .about-content {
        padding: 60px 30px 60px 0;
    }

    .events-grid {
        grid-template-columns:
            repeat(2, 1fr);
    }

    .events-grid .event-card:last-child {
        grid-column: 1 / -1;

        max-width: 500px;

        width: 100%;

        margin: auto;
    }

    .sermon-grid {
        grid-template-columns: 1fr;
    }

    .footer-grid {
        grid-template-columns:
            repeat(2, 1fr);
    }
}


/* =========================
   MOBILE
========================= */

@media (max-width: 768px) {

    .container {
        width: 92%;
    }

    .navbar {
        min-height: 75px;
    }

    .logo img {
        width: 160px;
    }

    .menu-toggle {
        display: block;
    }

    .nav-menu {
        position: absolute;

        top: 75px;
        left: 0;

        width: 100%;

        background: #ffffff;

        display: none;

        flex-direction: column;

        align-items: stretch;

        gap: 0;

        padding: 15px 25px;

        border-top: 1px solid #eeeeee;

        box-shadow:
            0 10px 25px rgba(0, 0, 0, 0.08);
    }

    .nav-menu.show {
        display: flex;
    }

    .nav-menu a {
        padding: 13px 0;

        border-bottom: 1px solid #eeeeee;

        font-size: 13px;
    }

    .nav-menu .give-btn {
        text-align: center;

        margin-top: 12px;

        border: none;
    }

    /* HERO */

    .hero {
        min-height: 600px;

        background-position: center;
    }

    .hero h1 {
        font-size: 45px;
    }

    .hero p {
        font-size: 15px;
    }

    /* VALUES */

    .values {
        padding: 40px 0;
    }

    .values-grid {
        grid-template-columns: 1fr;
    }

    .value-box {
        border-right: none;

        border-bottom: 1px solid #eeeeee;

        padding: 25px 15px;
    }

    .value-box:last-child {
        border-bottom: none;
    }

    /* ABOUT */

    .about-grid {
        grid-template-columns: 1fr;
    }

    .about-content {
        padding: 60px 0;
    }

    .about-image {
        min-height: 350px;
    }

    /* EVENTS */

    .events-section {
        padding: 65px 0;
    }

    .events-grid {
        grid-template-columns: 1fr;
    }

    .events-grid .event-card:last-child {
        grid-column: auto;

        max-width: none;
    }

    .section-heading h2 {
        font-size: 32px;
    }

    /* SERMON */

    .sermon-section {
        padding: 65px 0;
    }

    .sermon-intro h2 {
        font-size: 34px;
    }

    .sermon-cards {
        grid-template-columns: 1fr;
    }

    .sermon-card img {
        height: 200px;
    }

    /* GIVING */

    .giving-content {
        flex-direction: column;

        text-align: center;
    }

    .giving-btn {
        margin-left: 0;
    }

    /* FOOTER */

    .footer {
        padding-top: 50px;
    }

    .footer-grid {
        grid-template-columns: 1fr;

        gap: 35px;
    }

    .footer-brand p {
        max-width: 100%;
    }

}


/* =========================
   SMALL MOBILE
========================= */

@media (max-width: 480px) {

    .hero {
        min-height: 480px;
    }

    .hero h1 {
        font-size: 38px;
    }

    .hero-small-title {
        font-size: 14px;
    }

    .hero p {
        font-size: 14px;
    }

    .hero-buttons {
        flex-direction: column;

        align-items: flex-start;
    }

    .btn {
        width: 100%;
    }

    .about-content h2 {
        font-size: 31px;
    }

    .section-heading h2 {
        font-size: 29px;
    }

    .giving-content h2 {
        font-size: 23px;
    }

}



/* =====================================================
   HERO IMAGE SLIDER
===================================================== */

/* =========================================
   HERO SLIDER
========================================= */

.hero-slider {
    position: relative;
    width: 100%;
    height: 500px;
    overflow: hidden;
    background: #111;
}


/* =========================================
   SLIDES
========================================= */

.hero-slide {
    position: absolute;
    inset: 0;

    width: 100%;
    height: 100%;

    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;

    opacity: 0;
    visibility: hidden;

    transition:
        opacity 0.8s ease,
        visibility 0.8s ease;

    z-index: 1;
}

.hero-slide.active {
    opacity: 1;
    visibility: visible;
    z-index: 2;
}


/* =========================================
   OVERLAY
========================================= */

.slide-overlay {
    position: absolute;
    inset: 0;

    background:
        linear-gradient(
            90deg,
            rgba(0, 0, 0, 0.75) 0%,
            rgba(0, 0, 0, 0.45) 50%,
            rgba(0, 0, 0, 0.25) 100%
        );

    z-index: 1;
}


/* =========================================
   CONTENT
========================================= */

.slide-content {
    position: relative;
    z-index: 3;

    height: 100%;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;

    color: #fff;
}


/* =========================================
   LABEL
========================================= */

.slide-label {
    display: inline-block;

    margin-bottom: 20px;

    color: rgb(255, 138, 0);

    font-size: 14px;
    font-weight: 700;

    letter-spacing: 3px;
    text-transform: uppercase;
}


/* =========================================
   TITLE
========================================= */

.slide-content h1 {
    margin: 0 0 20px;

    color: #fff;

    font-size: clamp(42px, 6vw, 80px);
    line-height: 0.95;

    font-weight: 800;

    text-transform: uppercase;
}


/* =========================================
   DESCRIPTION
========================================= */

.slide-content p {
    margin: 0 0 30px;

    color: rgba(255, 255, 255, 0.9);

    font-size: 18px;
    line-height: 1.7;
}


/* =========================================
   BUTTONS
========================================= */

.slide-buttons {
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
}

.slide-buttons .btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    min-height: 50px;

    padding: 0 25px;

    text-decoration: none;

    font-weight: 700;

    transition: all 0.3s ease;
}


/* =========================================
   PRIMARY BUTTON
=============================================================================================================================================================== */

.slide-buttons .btn-primary {
  color: #FF8A00;
    color: #FBFBF4;

   
}

.slide-buttons .btn-primary:hover {
    background: #FF3B00;;
    border-color: #fff;
    color: #FFFFFF;
}


/* =========================================
   OUTLINE BUTTON
========================================= */

.slide-buttons .btn-outline {
    background: #FFFFFF;
    color: #070707;

    border: 2px solid #fff;
}

.slide-buttons .btn-outline:hover {
    background: #fff;
    color: #111;
}


/* =========================================
   ARROWS
========================================= */

.slider-arrow {
    position: absolute;
    top: 50%;

    transform: translateY(-50%);

    width: 50px;
    height: 50px;

    border: 1px solid rgba(255, 255, 255, 0.5);

    background: rgba(0, 0, 0, 0.3);

    color: #fff;

    font-size: 20px;

    cursor: pointer;

    z-index: 10;

    transition: all 0.3s ease;
}

.slider-arrow:hover {
    background: rgba(255, 122, 0, 0.25);
    border-color: #B43E09;
    color: #111;
}

.slider-prev {
    left: 25px;
}

.slider-next {
    right: 25px;
}


/* =========================================
   DOTS
========================================= */

.slider-dots {
    position: absolute;

    left: 50%;
    bottom: 30px;

    transform: translateX(-50%);

    display: flex;
    gap: 10px;

    z-index: 10;
}

.slider-dot {
    width: 12px;
    height: 12px;

    padding: 0;

    border: 1px solid #fff;

    border-radius: 50%;

    background: transparent;

    cursor: pointer;

    transition: all 0.3s ease;
}

.slider-dot.active {
    width: 35px;

    border-radius: 10px;

    background: #FF3B00;

    border-color: #FF8A00;
}


/* =========================================
   MOBILE
========================================= */

@media (max-width: 768px) {

    .hero-slider {
        height: 450px;
    }

    .slide-content {
        padding: 0 25px;
    }

    .slide-content h1 {
        font-size: 44px;
    }

    .slide-content p {
        font-size: 16px;
    }

    .slider-arrow {
        width: 42px;
        height: 42px;

        font-size: 16px;
    }

    .slider-prev {
        left: 10px;
    }

    .slider-next {
        right: 10px;
    }

    .slider-dots {
        bottom: 20px;
    }

}

/* caption interne */
.caption-container {
    position: absolute;
    bottom: 20px;
    left: 50%;
	width: 990px;
    transform: translateX(-50%);
    background: rgba(0,0,0,0.5);
    color: #fff;
    padding: 15px 25px;
    border-radius: 2px;
    
    z-index: 2;
	border-bottom: 5px solid #1b5025;
}






/* =========================================
   NAV DROPDOWN
========================================= */

.nav-dropdown {
    position: relative;
}


/* ABOUT */

.nav-dropdown > .dropdown-toggle {
    display: flex;
    align-items: center;
    gap: 6px;
}


/* PETITE FLECHE */

.dropdown-arrow {
    font-size: 12px;
    transition: transform 0.3s ease;
}


/* SOUS-MENU */

.dropdown-menu {
    position: absolute;

    top: 100%;
    left: 0;

    min-width: 210px;

    padding: 10px 0;

    background: #ffffff;

    border-radius: 6px;

    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);

    opacity: 0;
    visibility: hidden;

    transform: translateY(10px);

    transition:
        opacity 0.25s ease,
        visibility 0.25s ease,
        transform 0.25s ease;

    z-index: 9999;
}


/* ELEMENTS DU SOUS-MENU */

.dropdown-menu a {
    display: block;

    padding: 12px 20px;

    color: #222;

    text-decoration: none;

    font-size: 14px;
    font-weight: 600;

    transition: all 0.25s ease;
}


/* HOVER SOUS-MENU */

.dropdown-menu a:hover {
    background: #f5f5f5;

    color: #FF8A00;

    padding-left: 25px;
}


/* AFFICHER LE SOUS-MENU AU SURVOL */

.nav-dropdown:hover .dropdown-menu {
    opacity: 1;

    visibility: visible;

    transform: translateY(0);
}


/* TOURNER LA FLECHE */

.nav-dropdown:hover .dropdown-arrow {
    transform: rotate(180deg);
}